Content-type: text/html

# uglMesaCreateNewContextExt

Section: WRS (3)
Updated: AOUT 2001
Index Return to Main Contents

## NAME

uglMesaCreateNewContextExt - Create a WindML/Mesa rendering context

## SYNOPSIS

#include <GL/uglmesa.h>

    UGL_MESA_CONTEXT uglMesaCreateNewContextExt (
                     GLenum mode,
                     GLint depth_bits,
                     GLint stencil_bits,
                     GLint accum_red_bits,
                     GLint accum_green_bits,
                     GLint accum_blue_bits,
                     GLint accum_alpha_bits,
                     UGL_MESA_CONTEXT share_list);

## DESCRIPTION

The uglMesaCreateNewContextExt function creates a WindML/Mesa rendering context and specifies desired size of depth buffer, stencil buffer and accumulation buffer.

If you specify zero for depth_bits, stencil_bits, accum_[red|gren|blue]_bits, you can save some memory.

## INPUT

mode - can takes the following mask values:
UGL_MESA_SINGLE = single buffer mode

UGL_MESA_DOUBLE = double buffer mode, first tries hardware mode and then software mode
UGL_MESA_DOUBLE_SOFTWARE = double buffer software, fails if impossible
UGL_MESA_DOUBLE_HARDWARE = double buffer hardware, fails if impossible

UGL_MESA_WINDML_EXCLUSIVE = uses only WindML calls to write into the memory screen

For example, uglMesaCreateNewContext(UGL_MESA_SINGLE | UGL_MESA_WINDML_EXCLUSIVE) will use a single buffer and will only write into the screen memory with WindML calls. UGL_MESA_DOUBLE_SOFTWARE will be replaced by UGL_MESA_DOUBLE in WindML mode. There is no sense to use single and double buffer at the same time.

depth_bits - depth buffer size

stencil_bits - stencil buffer size

accum_red_bits - accumulation red buffer size

accum_green_bits - accumulation green buffer size

accum_blue_bits - accumulation blue buffer size

accum_alpha_bits - accumulation alpha buffer size

share_list - specifies another UGL_MESA_CONTEXT with which to share display lists. NULL indicates no sharing.

## RETURN VALUES

a UGL_MESA_CONTEXT, or zero if error.

## SEE ALSO

uglMesaCreateNewContext(3), uglMesaMakeCurrentContext(3)

## COPYRIGHT

Copyright © 2001 Wind River Systems, Inc.

## Index

NAME
SYNOPSIS
DESCRIPTION
INPUT
RETURN VALUES
SEE ALSO
COPYRIGHT

This document was created by man2html, using the manual pages.
Time: 09:32:46 GMT, August 30, 2001